<?xml version="1.0"?>
<?xml-model href="http://download.ros.org/schema/package_format3.xsd" schematypens="http://www.w3.org/2001/XMLSchema"?>
<package format="3">
  <name>ars_40x</name>
  <version>0.0.0</version>
  <description>The ars_40x package contains a ROS driver for the Continental radar ARS_404 / ARS_408.</description>
  <maintainer email="shiveshkhaitan@gmail.com">shiveshkhaitan</maintainer>
  <license>TODO: License declaration</license>

  <buildtool_depend condition="$ROS_VERSION==1">catkin</buildtool_depend>
  <buildtool_depend condition="$ROS_VERSION==2">ament_cmake</buildtool_depend>
  <build_depend condition="$ROS_VERSION == 1">message_generation</build_depend>
  <build_export_depend condition="$ROS_VERSION == 1">message_runtime</build_export_depend>

  <depend>costmap_converter</depend>
  <depend>geometry_msgs</depend>
  <depend>nav_msgs</depend>
  <depend condition="$ROS_VERSION == 2">rclcpp</depend>
  <depend condition="$ROS_VERSION == 1">roscpp</depend>
  <depend>socket_can</depend>
  <depend>std_msgs</depend>
  <depend>std_srvs</depend>
  <depend>visualization_msgs</depend>

  <exec_depend condition="$ROS_VERSION == 1">message_runtime</exec_depend>

  <test_depend condition="$ROS_VERSION == 2">ament_lint_auto</test_depend>
  <test_depend condition="$ROS_VERSION == 2">ament_lint_common</test_depend>

  <export>
    <build_type condition="$ROS_VERSION == 1">catkin</build_type>
    <build_type condition="$ROS_VERSION == 2">ament_cmake</build_type>
  </export>
</package>
